JBoss API: Class MetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class MetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

Direct Known Subclasses:
  ApplicationMetaData, BeanMetaData, CMPFieldMetaData, ConfigurationMetaData, EjbLocalRefMetaData, EjbRefMetaData, EnvEntryMetaData, FinderMetaData, J2eeApplicationMetaData, J2eeModuleMetaData, JawsApplicationMetaData, JawsEntityMetaData, MappingMetaData, MethodMetaData, ResourceEnvRefMetaData, ResourceRefMetaData, SecurityIdentityMetaData, SecurityRoleRefMetaData, TypeMappingMetaData

public abstract class MetaData
extends java.lang.Object
implements java.lang.Cloneable, XmlLoadable

Version:
  $Revision: 1.13.6.4 $
Author:
  Sebastien Alborini
See Also:

Field Summary
`static byte` | `TX_MANDATORY`
`static byte` | `TX_NEVER`
`static byte` | `TX_NOT_SUPPORTED`
`static byte` | `TX_REQUIRED`
`static byte` | `TX_REQUIRES_NEW`
`static byte` | `TX_SUPPORTS`
`static byte` | `TX_UNKNOWN`

Constructor Summary
`MetaData()`

Method Summary
`java.lang.Object` | `clone()`
`static java.util.Iterator` | `getChildrenByTagName(org.w3c.dom.Element element, java.lang.String tagName)`
`static java.lang.String` | `getElementContent(org.w3c.dom.Element element)`
`static java.lang.String` | `getElementContent(org.w3c.dom.Element element, java.lang.String defaultStr)`
`static org.w3c.dom.Element` | `getOptionalChild(org.w3c.dom.Element element, java.lang.String tagName)` Gets the child of the specified element having the specified name.
`static org.w3c.dom.Element` | `getOptionalChild(org.w3c.dom.Element element, java.lang.String tagName, org.w3c.dom.Element defaultElement)` Gets the child of the specified element having the specified name.
`static org.w3c.dom.Element` | `getUniqueChild(org.w3c.dom.Element element, java.lang.String tagName)`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`
`void` | `importJbossXml(org.w3c.dom.Element element)`
`void` | `importXml(org.w3c.dom.Element element)`
`protected boolean` | `jdk13Enabled()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TX_NOT_SUPPORTED

    public static final byte TX_NOT_SUPPORTED

### TX_REQUIRED

    public static final byte TX_REQUIRED

### TX_SUPPORTS

    public static final byte TX_SUPPORTS

### TX_REQUIRES_NEW

    public static final byte TX_REQUIRES_NEW

### TX_MANDATORY

    public static final byte TX_MANDATORY

### TX_NEVER

    public static final byte TX_NEVER

### TX_UNKNOWN

    public static final byte TX_UNKNOWN

Constructor Detail

### MetaData

    public MetaData()

Method Detail

### getChildrenByTagName

    public static java.util.Iterator getChildrenByTagName(org.w3c.dom.Element element,
                                                          java.lang.String tagName)

### getUniqueChild

    public static org.w3c.dom.Element getUniqueChild(org.w3c.dom.Element element,
                                                     java.lang.String tagName)
                                              throws DeploymentException

### getOptionalChild

    public static org.w3c.dom.Element getOptionalChild(org.w3c.dom.Element element,
                                                       java.lang.String tagName)
                                                throws DeploymentException

  Gets the child of the specified element having the specified name. If the child with this name doesn't exist then null is returned instead.
  Parameters:
    `element` - the parent element
    `tagName` - the name of the desired child
  Returns:
    either the named child or null

### getOptionalChild

    public static org.w3c.dom.Element getOptionalChild(org.w3c.dom.Element element,
                                                       java.lang.String tagName,
                                                       org.w3c.dom.Element defaultElement)
                                                throws DeploymentException

  Gets the child of the specified element having the specified name. If the child with this name doesn't exist then the supplied default element is returned instead.
  Parameters:
    `element` - the parent element
    `tagName` - the name of the desired child
    `defaultElement` - the element to return if the child doesn't exist
  Returns:
    either the named child or the supplied default

### getElementContent

    public static java.lang.String getElementContent(org.w3c.dom.Element element)
                                              throws DeploymentException

### getElementContent

    public static java.lang.String getElementContent(org.w3c.dom.Element element,
                                                     java.lang.String defaultStr)
                                              throws DeploymentException

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

### jdk13Enabled

    protected boolean jdk13Enabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.